import com.burtbeckwith.clusterdemo.Role
import com.burtbeckwith.clusterdemo.User

class BootStrap {

	def passwordEncoder

	def init = { servletContext ->

		def adminRole = Role.findByAuthority('ROLE_ADMIN')
		if (!adminRole) {
			adminRole = new Role(description: 'Admin role', authority: 'ROLE_ADMIN').save()
		}
		def admin = User.findByUsername('admin')
		if (!admin) {
			String password = passwordEncoder.encodePassword('p4ssw0rd', null)
			admin = new User(username: 'admin', passwd: password, enabled: true).save()
			adminRole.addToPeople(admin)
			adminRole.save(flush: true)
		}
	}

	def destroy = {}
}
