dataSource {
	pooled = true
	driverClassName = 'com.mysql.jdbc.Driver'
	dialect = org.hibernate.dialect.MySQL5InnoDBDialect
	loggingSql = true
}
hibernate {
	cache.use_second_level_cache = true
	cache.use_query_cache = true
	cache.provider_class = 'org.hibernate.cache.EhCacheProvider'
}

environments {
	development {
		dataSource {
			dbCreate = 'create-drop'
			username = 'clustered'
			password = 'clustered'
			url = 'jdbc:mysql://localhost/clustered'
		}
	}
	test {
		dataSource {
			dbCreate = 'update'
			url = 'jdbc:hsqldb:mem:testDb'
			pooled = false
			driverClassName = 'org.hsqldb.jdbcDriver'
			username = 'sa'
			password = ''
			dialect = org.hibernate.dialect.HSQLDialect
		}
	}
	production {
		dataSource {
			// value isn't important, will be overridden by external config
			username = 'clustered'
			password = 'clustered'
			url = 'jdbc:mysql://localhost/clustered'
		}
	}
}
